CategoryExplorerLogRecordFilter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryExplorerLogRecordFilter

    java.lang.Object
      org.apache.log4j.lf5.viewer.categoryexplorer.CategoryExplorerLogRecordFilter

All Implemented Interfaces:
  LogRecordFilter

    public class CategoryExplorerLogRecordFilter

extends Object
implements LogRecordFilter

An implementation of LogRecordFilter based on a CategoryExplorerModel

Author:
  Richard Wan

Field Summary
`protected CategoryExplorerModel` | `_model`

Constructor Summary
`CategoryExplorerLogRecordFilter(CategoryExplorerModel model)`

Method Summary
`boolean` | `passes(LogRecord record)`
`void` | `reset()` Resets the counters for the contained CategoryNodes to zero.
`protected void` | `resetAllNodes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _model

    protected CategoryExplorerModel _model

Constructor Detail

### CategoryExplorerLogRecordFilter

    public CategoryExplorerLogRecordFilter(CategoryExplorerModel model)

Method Detail

### passes

    public boolean passes(LogRecord record)

  Specified by:
    `passes` in interface `LogRecordFilter`
  Returns:
    true if the CategoryExplorer model specified at construction is accepting the category of the specified LogRecord. Has a side-effect of adding the CategoryPath of the LogRecord to the explorer model if the CategoryPath is new.

### reset

    public void reset()

  Resets the counters for the contained CategoryNodes to zero.

### resetAllNodes

    protected void resetAllNodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.